package com.ejie.ab63.model;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Ab6343s00  
 * 
 *  
 */

public class ExpedientesRelacionados implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idExpHistorico;
	private Integer idEstablecimiento;
	private String folderNumber;
	private String tituloExpediente;
	private String estado;
	private String folderId;
	private String nombreProc;
	private Date fechaApertura;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private BigDecimal fechaUltmodificacion;
	private String usuarioUltmodificacion;

	private String numExpediente;

	/**
	 * Method 'Ab6343s00'.
	 */
	public ExpedientesRelacionados() {
	}

	/**
	 * Method 'Ab6343s00'.
	 * 
	 * @param idExpHistorico
	 *            Integer
	 */
	public ExpedientesRelacionados(Integer idExpHistorico) {
		this.idExpHistorico = idExpHistorico;
	}

	/**
	 * Method 'Ab6343s00'.
	 * 
	 * @param idExpHistorico
	 *            Integer
	 * @param idEstablecimiento
	 *            Integer
	 * @param numExpediente
	 *            String
	 * @param tituloExp
	 *            String
	 * @param estado
	 *            String
	 * @param fechaApertura
	 *            Date
	 * @param folderId
	 *            String
	 * @param nombreProc
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            BigDecimal
	 * @param usuarioUltmodificacion
	 *            String
	 */
	public ExpedientesRelacionados(Integer idExpHistorico, Integer idEstablecimiento, String numExpediente,
			String tituloExp, String estado, Date fechaApertura, String folderId, String nombreProc, Date fechaRegistro,
			String usuarioRegistro, BigDecimal fechaUltmodificacion, String usuarioUltmodificacion) {

		this.idExpHistorico = idExpHistorico;
		this.idEstablecimiento = idEstablecimiento;
		this.numExpediente = numExpediente;
		this.tituloExpediente = tituloExp;
		this.estado = estado;
		this.fechaApertura = fechaApertura;
		this.folderId = folderId;
		this.nombreProc = nombreProc;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdExpHistorico'.
	 *
	 * @return Integer
	 */

	public Integer getIdExpHistorico() {
		return this.idExpHistorico;
	}

	/**
	 * Method 'setIdRelEstExpnb29'.
	 *
	 * @param idRelEstExpnb29
	 *            Integer
	 * @return
	 */

	public void setIdExpHistorico(Integer idExpHistorico) {
		this.idExpHistorico = idExpHistorico;
	}

	/**
	 * Method 'getIdEstablecimiento'.
	 *
	 * @return Integer
	 */

	public Integer getIdEstablecimiento() {
		return this.idEstablecimiento;
	}

	/**
	 * Method 'setIdEstablecimiento'.
	 *
	 * @param idEstablecimiento
	 *            Integer
	 * @return
	 */

	public void setIdEstablecimiento(Integer idEstablecimiento) {
		this.idEstablecimiento = idEstablecimiento;
	}

	/**
	 * Method 'getNumExpediente'.
	 *
	 * @return String
	 */

	public String getNumExpediente() {
		return this.numExpediente;
	}

	/**
	 * Method 'setNumExpediente'.
	 *
	 * @param numExpediente
	 *            String
	 * @return
	 */

	public void setNumExpediente(String numExpediente) {
		this.numExpediente = numExpediente;
	}

	/**
	 * Method 'getTituloExp'.
	 *
	 * @return String
	 */

	public String getTituloExpediente() {
		return this.tituloExpediente;
	}

	/**
	 * Method 'setTituloExp'.
	 *
	 * @param tituloExp
	 *            String
	 * @return
	 */

	public void setTituloExp(String tituloExpediente) {
		this.tituloExpediente = tituloExpediente;
	}

	/**
	 * Method 'getEstado'.
	 *
	 * @return String
	 */

	public String getEstado() {
		return this.estado;
	}

	/**
	 * Method 'setEstado'.
	 *
	 * @param estado
	 *            String
	 * @return
	 */

	public void setEstado(String estado) {
		this.estado = estado;
	}

	/**
	 * Method 'getFechaApertura'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaApertura() {
		return this.fechaApertura;
	}

	/**
	 * Method 'setFechaApertura'.
	 *
	 * @param fechaApertura
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaApertura(Date fechaApertura) {
		this.fechaApertura = fechaApertura;
	}

	/**
	 * Method 'getFolderId'.
	 *
	 * @return String
	 */

	public String getFolderId() {
		return this.folderId;
	}

	/**
	 * Method 'setFolderId'.
	 *
	 * @param folderId
	 *            String
	 * @return
	 */

	public void setFolderId(String folderId) {
		this.folderId = folderId;
	}

	/**
	 * Method 'getNombreProc'.
	 *
	 * @return String
	 */

	public String getNombreProc() {
		return this.nombreProc;
	}

	/**
	 * Method 'setNombreProc'.
	 *
	 * @param nombreProc
	 *            String
	 * @return
	 */

	public void setNombreProc(String nombreProc) {
		this.nombreProc = nombreProc;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return BigDecimal
	 */

	public BigDecimal getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            BigDecimal
	 * @return
	 */

	public void setFechaUltmodificacion(BigDecimal fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idExpHistorico: ").append(this.idExpHistorico).append(" ]");
		result.append(", [ idEstablecimiento: ").append(this.idEstablecimiento).append(" ]");
		result.append(", [ numExpediente: ").append(this.numExpediente).append(" ]");
		result.append(", [ tituloExp: ").append(this.tituloExpediente).append(" ]");
		result.append(", [ estado: ").append(this.estado).append(" ]");
		result.append(", [ fechaApertura: ").append(this.fechaApertura).append(" ]");
		result.append(", [ folderId: ").append(this.folderId).append(" ]");
		result.append(", [ nombreProc: ").append(this.nombreProc).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * @return the folderNumber
	 */
	public String getFolderNumber() {
		return folderNumber;
	}

	/**
	 * @param folderNumber
	 *            the folderNumber to set
	 */
	public void setFolderNumber(String folderNumber) {
		this.folderNumber = folderNumber;
	}

}
